# beaglebone-black ssh host

job_name: bbb-ssh-host
device_type: beaglebone-black

timeouts:
  job:
    minutes: 10
  action:
    minutes: 3
  connection:
    seconds: 20
visibility: public

actions:
  - deploy:
      timeout:  # timeout for the connection attempt
        seconds: 30
      to: ssh
      connection: ssh
      os: debian

  - boot:
      timeout:
        minutes: 2
      prompts: ['root@debian:']
      method: ssh

  - test:
     name: kvm-basic-singlenode
     timeout:
       minutes: 5
     definitions:
         - repository:
                metadata:
                    format: Lava-Test Test Definition 1.0
                    name: ssh-dirs
                    description: "info"
                    os:
                        - debian
                    scope:
                        - functional
                run:
                    steps:
                        - pwd
                        - ls -lh $(pwd . |sed 's#\/lava-\([0-9]*\)\/.*#/\1-overlay*.tar.gz#')
           from: inline
           name: ssh-dirs
           path: inline/ssh-dirs.yaml
         - repository: git://git.linaro.org/qa/test-definitions.git
           from: git
           path: ubuntu/smoke-tests-basic.yaml
           name: smoke-tests
         - repository: http://git.linaro.org/lava-team/lava-functional-tests.git
           from: git
           path: lava-test-shell/single-node/singlenode02.yaml
           name: singlenode-intermediate
